Bug 869358 - Network Error with kernel 3.6.2
Network Error with kernel 3.6.2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 12:32 EDT by Eduardo
Modified: 2013-02-13 10:43 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:42:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eduardo 2012-10-23 12:32:37 EDT
For me with kernel Linux bgp1.activepage.com.br 3.6.2-1.fc16.x86_64 #1 SMP Wed Oct 17 05:30:01 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux.

The error still ocurrs.

Oct 23 12:07:46 bgp1 kernel: [15238.574020] ------------[ cut here ]------------
Oct 23 12:07:46 bgp1 kernel: [15238.574020] WARNING: at net/core/dev.c:3943 net_rx_action+0x1ef/0x220()
Oct 23 12:07:46 bgp1 kernel: [15238.574020] Hardware name: To Be Filled By O.E.M.
Oct 23 12:07:46 bgp1 kernel: [15238.574020] Modules linked in: binfmt_misc ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_mangle ip6table_filter ip6_tables xt_state iptable_mangle iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 lockd 8021q garp stp llc bonding f71882fg iTCO_wdt iTCO_vendor_support coretemp microcode i2c_i801 r8169 lpc_ich mfd_core mii sunrpc i915 drm_kms_helper drm i2c_algo_bit i2c_core video
Oct 23 12:07:46 bgp1 kernel: [15238.574020] Pid: 0, comm: swapper/2 Not tainted 3.6.2-1.fc16.x86_64 #1
Oct 23 12:07:46 bgp1 kernel: [15238.574020] Call Trace:
Oct 23 12:07:46 bgp1 kernel: [15238.574020]  <IRQ>  [<ffffffff8105c69f>] warn_slowpath_common+0x7f/0xc0
Oct 23 12:07:46 bgp1 kernel: [15238.574020]  [<ffffffff8105c6fa>] warn_slowpath_null+0x1a/0x20
Oct 23 12:07:46 bgp1 kernel: [15238.574020]  [<ffffffff8150bfdf>] net_rx_action+0x1ef/0x220
Oct 23 12:07:46 bgp1 kernel: [15238.574020]  [<ffffffff810e8949>] ? handle_irq_event_percpu+0xa9/0x210
Oct 23 12:07:46 bgp1 kernel: [15238.574020]  [<ffffffff81065388>] __do_softirq+0xc8/0x250
Oct 23 12:07:46 bgp1 kernel: [15238.574020]  [<ffffffff8162233c>] call_softirq+0x1c/0x30
Oct 23 12:07:46 bgp1 kernel: [15238.574020]  [<ffffffff810162a5>] do_softirq+0x65/0xa0
Oct 23 12:07:46 bgp1 kernel: [15238.574020]  [<ffffffff810657ae>] irq_exit+0x9e/0xc0
Oct 23 12:07:46 bgp1 kernel: [15238.574020]  [<ffffffff81622b93>] do_IRQ+0x63/0xe0
Oct 23 12:07:46 bgp1 kernel: [15238.574020]  [<ffffffff816193aa>] common_interrupt+0x6a/0x6a
Oct 23 12:07:46 bgp1 kernel: [15238.574020]  <EOI>  [<ffffffff813329b0>] ? intel_idle+0xf0/0x150
Oct 23 12:07:46 bgp1 kernel: [15238.574020]  [<ffffffff8133298f>] ? intel_idle+0xcf/0x150
Oct 23 12:07:46 bgp1 kernel: [15238.574020]  [<ffffffff814c5c39>] cpuidle_enter+0x19/0x20
Oct 23 12:07:46 bgp1 kernel: [15238.574020]  [<ffffffff814c62cc>] cpuidle_idle_call+0xac/0x290
Oct 23 12:07:46 bgp1 kernel: [15238.574020]  [<ffffffff8101d74f>] cpu_idle+0xcf/0x120
Oct 23 12:07:46 bgp1 kernel: [15238.574020]  [<ffffffff816074f6>] start_secondary+0x256/0x258
Oct 23 12:07:46 bgp1 kernel: [15238.574020] ---[ end trace 13d816bbd69d9865 ]---
Comment 1 Eduardo 2012-10-23 12:34:02 EDT
The error was Happing on 3.4.11, in Two diferent machines. And still happens.
Comment 2 Eduardo 2012-10-23 12:36:18 EDT
Just another flowup, after these WARNING, the network interface stop working utill a complete reboot.
Comment 3 Eduardo 2012-10-24 23:11:19 EDT
For me 3.6.2-1.fc16.x86_64 is a lot worst than 3.4.11, now the networking interface stop working after less than 10 minutes of Up-time.
These happens on both servers.
[ 1527.517495] ------------[ cut here ]------------
[ 1527.517495] WARNING: at net/core/dev.c:3943 net_rx_action+0x1ef/0x220()
[ 1527.517495] Hardware name: To Be Filled By O.E.M.
[ 1527.517495] Modules linked in: binfmt_misc ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_mangle ip6table_filter ip6_tables xt_state iptable_mangle iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 lockd 8021q garp stp llc bonding f71882fg coretemp iTCO_wdt iTCO_vendor_support microcode i2c_i801 lpc_ich mfd_core r8169 mii sunrpc i915 drm_kms_helper drm i2c_algo_bit i2c_core video
[ 1527.517495] Pid: 0, comm: swapper/0 Not tainted 3.6.2-1.fc16.x86_64 #1
[ 1527.517495] Call Trace:
[ 1527.517495]  <IRQ>  [<ffffffff8105c69f>] warn_slowpath_common+0x7f/0xc0
[ 1527.517495]  [<ffffffff8105c6fa>] warn_slowpath_null+0x1a/0x20
[ 1527.517495]  [<ffffffff8150bfdf>] net_rx_action+0x1ef/0x220
[ 1527.517495]  [<ffffffff81065388>] __do_softirq+0xc8/0x250
[ 1527.517495]  [<ffffffff8162233c>] call_softirq+0x1c/0x30
[ 1527.517495]  [<ffffffff810162a5>] do_softirq+0x65/0xa0
[ 1527.517495]  [<ffffffff810657ae>] irq_exit+0x9e/0xc0
[ 1527.517495]  [<ffffffff81622b93>] do_IRQ+0x63/0xe0
[ 1527.517495]  [<ffffffff816193aa>] common_interrupt+0x6a/0x6a
[ 1527.517495]  <EOI>  [<ffffffff813329b0>] ? intel_idle+0xf0/0x150
[ 1527.517495]  [<ffffffff8133298f>] ? intel_idle+0xcf/0x150
[ 1527.517495]  [<ffffffff814c5c39>] cpuidle_enter+0x19/0x20
[ 1527.517495]  [<ffffffff814c62cc>] cpuidle_idle_call+0xac/0x290
[ 1527.517495]  [<ffffffff8101d74f>] cpu_idle+0xcf/0x120
[ 1527.517495]  [<ffffffff815f554e>] rest_init+0x72/0x74
[ 1527.517495]  [<ffffffff81cfcc23>] start_kernel+0x3b9/0x3c6
[ 1527.517495]  [<ffffffff81cfc66a>] ? repair_env_string+0x5a/0x5a
[ 1527.517495]  [<ffffffff81cfc356>] x86_64_start_reservations+0x131/0x135
[ 1527.517495]  [<ffffffff81cfc120>] ? early_idt_handlers+0x120/0x120
[ 1527.517495]  [<ffffffff81cfc45c>] x86_64_start_kernel+0x102/0x111
[ 1527.517495] ---[ end trace 9d0203a481d69057 ]---
Comment 4 Fedora End Of Life 2013-01-16 09:34:03 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 10:43:00 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.